Skip to content

Save a template's profile

PUT
/cms/print/v2/templates/{id}/profile
curl --request PUT \
--url https://api.example.com/cms/print/v2/templates/1/profile \
--header 'API-Key: <API-Key>' \
--header 'Content-Type: application/json' \
--header 'Token-User: <Token-User>' \
--data '{ "file": "example", "profile": {} }'

The slots the extension read from the template file. file must be the template’s current file (409 STALE otherwise).

id
required
integer
Media typeapplication/json
object
file
required
string
profile
required
object

Example generated

{
"file": "example",
"profile": {}
}

Saved

The template file changed